UML 软件 gaphor在dapper安装后使用不了!!

为当前最终发行版之前的所有版本提供支持
回复
zouzhile
帖子: 36
注册时间: 2005-11-16 9:40
送出感谢: 0
接收感谢: 0

UML 软件 gaphor在dapper安装后使用不了!!

#1

帖子 zouzhile » 2006-08-10 15:16

以前用breezy的时候,通过新立得软件包直接搜索应用就能安装好了,而且用起来不会有问题。在dapper下面,安装是没有任何问题的,但是启动的时候在console里面打出来这些信息,里面有个错误导致gaphor不能启动。唉,gaphor这个uml工具用起来还是很不错的,速度很快而且相对功能也还比较全,大家来看看这个问题怎么解决:
robin@Robin:~$ gaphor

** (gaphor:14188): WARNING **: couldn't make the type `CanvasGroup' ready
/usr/lib/python2.4/site-packages/diacanvas/__init__.py:13: RuntimeWarning: tp_compare didn't return -1 or -2 for exception
from _canvas import *
TypeError: Cannot create a consistent method resolution
order (MRO) for bases GObject, CanvasGroupableIface, CanvasGroupable
/usr/lib/python2.4/site-packages/diacanvas/__init__.py:19: DeprecationWarning: Module gnome.canvas is deprecated; please import gnomecanvas instead
from view import *
/usr/lib/python2.4/site-packages/gaphor/undomanager.py:195: RuntimeWarning: Interface type UndoManager has no python implementation support
gobject.type_register(UndoManager)
Traceback (most recent call last):
File "/usr/bin/gaphor", line 10, in ?
gaphor.main(model)
File "/usr/lib/python2.4/site-packages/gaphor/__init__.py", line 48, in main
import diagram
File "/usr/lib/python2.4/site-packages/gaphor/diagram/__init__.py", line 56, in ?
from classifier import ClassifierItem
File "/usr/lib/python2.4/site-packages/gaphor/diagram/classifier.py", line 18, in ?
from nameditem import NamedItem
File "/usr/lib/python2.4/site-packages/gaphor/diagram/nameditem.py", line 9, in ?
from elementitem import ElementItem
File "/usr/lib/python2.4/site-packages/gaphor/diagram/elementitem.py", line 74, in ?
initialize_item(ElementItem)
File "/usr/lib/python2.4/site-packages/gaphor/diagram/__init__.py", line 39, in initialize_item
if (diacanvas.CanvasItem in bases) or \
AttributeError: 'module' object has no attribute 'CanvasGroup'
回复

回到 “老旧版本支持”